package ch.zhaw.catan;

import java.util.Map;

public class Bank {
    private Map<Config.Resource, Integer> resources;

    public Bank(){
        resources = Config.INITIAL_RESOURCE_CARDS_BANK;

    }

    public boolean getResourceFromBank(Config.Resource resource,int numberOfResources) {
        if(resources.get(resource) >= numberOfResources) {
            Integer newResourceNumber = resources.get(resource) - numberOfResources;
            resources.put(resource, newResourceNumber);
            return true;
        }
        else {
            return false;
        }
    }

    public boolean tradeWithBank(Config.Resource resourceToReceive, Config.Resource resourceToGive, int toWant, int toGive) {
        if(resources.get(resourceToReceive) >= toWant){
            Integer newResourceReceived = resources.get(resourceToReceive) + toGive;
            Integer newResourcesGiven = resources.get(resourceToGive) - toWant;
            resources.put(resourceToReceive, newResourceReceived);
            resources.put(resourceToGive, newResourcesGiven);
            return true;
        }
        else{
            return false;
        }
    }
}
